type Label = String    
type Value = Int
             |String
             |Bool
             |Nil

type Bind = (Label,Value)
type Procedure = (Label, [Int])

type Mem_Stuff = Bind
               | Procedure 
type Memory = [Mem_Stuff]

getBind :: Memory -> Label -> Value
getBind ([]) lab = Nil
getBind ((label,valor):tail) lab | label == lab = valor
                                 | otherwise = getBind tail lab
showBind :: Bind -> String
showBind (label, value) = "( " ++ (show label) ++ "," ++ (show value)++ ")"

printMemory :: Memory -> String
printMemory ([]) = show "."
printMemory (a:tail) = (showBind a) ++ " , " ++ (printMemory tail)

getProcedures :: Memory -> String -> [Int] -> Memory



